import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { GetDeployablePatchSnapshotForInstanceRequestFilterSensitiveLog, } from "../models/models_1";
import { de_GetDeployablePatchSnapshotForInstanceCommand, se_GetDeployablePatchSnapshotForInstanceCommand, } from "../protocols/Aws_json1_1";
export { $Command };
export class GetDeployablePatchSnapshotForInstanceCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonSSM", "GetDeployablePatchSnapshotForInstance", {})
    .n("SSMClient", "GetDeployablePatchSnapshotForInstanceCommand")
    .f(GetDeployablePatchSnapshotForInstanceRequestFilterSensitiveLog, void 0)
    .ser(se_GetDeployablePatchSnapshotForInstanceCommand)
    .de(de_GetDeployablePatchSnapshotForInstanceCommand)
    .build() {
}
